API ReferenceChat Widgets
Get chat widget
Get widget details including conversation analytics.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidid*string
Format
uuidResponse Body
application/json
curl -X GET "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/widgets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"widget": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"assistantId": "bb8c7fe3-2157-48a3-a0a7-af503b091988",
"name": "string",
"allowedDomains": [],
"position": "bottom-left",
"primaryColor": "#6366f1",
"textColor": "#ffffff",
"welcomeMessage": "Hi! How can I help you today?",
"enableTextChat": true,
"enableVoiceCall": true,
"status": "active",
"createdAt": "2019-08-24T14:15:22Z"
},
"conversations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
"assistantId": "bb8c7fe3-2157-48a3-a0a7-af503b091988",
"channel": "phone",
"direction": "inbound",
"status": "initiated",
"startedAt": "2019-08-24T14:15:22Z",
"endedAt": "2019-08-24T14:15:22Z",
"duration": 0,
"recordingUrl": "http://example.com",
"metadata": {}
}
],
"analytics": {
"totalConversations": 0,
"totalDuration": 0,
"avgDuration": 0,
"completedConversations": 0,
"uniqueVisitors": 0
}
}Empty
Empty
Empty